package com.codegeist.fisheye.core.connection;

/**
 * Register instances of this interfaces on {@link IFisheyeConnectionManager} to receive events
 * relating to connection additions/removals.
 * 
 * @author Brock Janiczak
 */
public interface IConnectionListener {

	/**
	 * A new connection has been added
	 * @param connection new connection
	 */
	void connectionAdded(FisheyeConnection connection);
	
	/**
	 * A connection has been removed
	 * @param connection connection that was removed
	 */
	void connectionRemoved(FisheyeConnection connection);
}
