package com.codegeist.fisheye.domain.query;

import org.junit.Test;

public class TagRangeRestrictionTest extends AbstractRestrictionTest {

	@Test
	public void testInclusive1() throws Exception {
		checkEyeQl("between tags [tag1, tag2]", new TagRangeRestriction("tag1", "tag2"));
	}
	
	@Test
	public void testInclusive2() throws Exception {
		checkEyeQl("between tags [tag1, tag2]", new TagRangeRestriction("tag1", true, "tag2", true));
	}
	
	@Test
	public void testInclusiveExclusive() throws Exception {
		checkEyeQl("between tags [tag1, tag2)", new TagRangeRestriction("tag1", true, "tag2", false));
	}
	
	@Test
	public void testExclusiveInclusive() throws Exception {
		checkEyeQl("between tags (tag1, tag2]", new TagRangeRestriction("tag1", false, "tag2", true));
	}
	
	@Test
	public void testExclusive() throws Exception {
		checkEyeQl("between tags (tag1, tag2)", new TagRangeRestriction("tag1", false, "tag2", false));
	}
}
