package com.codegeist.fisheye.domain.query;

public class AuthorInRestriction implements Restriction {
	private final String[] authors;

	public AuthorInRestriction(String[] authors) {
		if (authors == null || authors.length == 0) {
			throw new IllegalArgumentException("Authors must not be null or empty");
		}
		
		this.authors = authors;
	}
	
	public StringBuilder appendEyeQlFragment(StringBuilder buffer) {
		buffer.append(" author in ");
		buffer.append("(");
		for (int i = 0; i < authors.length; i++) {
			if (i != 0) {
				buffer.append(", ");
			}
			buffer.append(authors[i]);
		}
		buffer.append(")");
		
		return buffer;
	}
}
