package com.codegeist.fisheye.internal.service;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

public class StringHandler extends DefaultHandler implements Handler<String> {
	private StringBuilder buffer = new StringBuilder();
	private String result;
	
	@Override
	public void startDocument() throws SAXException {
	}

	@Override
	public void startElement(String uri, String localName, String name, Attributes attributes) throws SAXException {
		buffer.setLength(0);
	}
	
	@Override
	public void endElement(String uri, String localName, String name) throws SAXException {
		// TODO check that we see only one string element
		if ("string".equals(localName)) {
			result = buffer.toString();
		}
		buffer.setLength(0);
	}
	
	
	@Override
	public void endDocument() throws SAXException {
	}
	
	@Override
	public void characters(char[] ch, int start, int length) throws SAXException {
		buffer.append(ch, start, length);
	}
	
	public String getResult() {
		return result;
	}
}
