package com.codegeist.fisheye.internal.ui.connection.model;

import com.codegeist.fisheye.core.connection.FisheyeConnection;

public class RepositoryModel {

	private final String name;
	private final FisheyeConnection connection;

	public RepositoryModel(FisheyeConnection connection, String name) {
		this.connection = connection;
		this.name = name;
	}
	
	public FisheyeConnection getConnection() {
		return connection;
	}
	
	public String getName() {
		return name;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RepositoryModel other = (RepositoryModel) obj;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return name;
	}
}
