package com.cenqua.fisheye;

import java.lang.management.ManagementFactory;

import javax.management.MBeanServer;
import javax.management.ObjectName;

import org.tanukisoftware.wrapper.WrapperStartStopApp;
import org.tanukisoftware.wrapper.jmx.WrapperManager;

public class FisheyeServiceWrapper {

    private static final String DEFAULT_WRAPPER_MBEAN_NAME = "wrapper:type=Java Service Wrapper Control";
    private static final String WRAPPER_BEAN_NAME_KEY = "wrapper.mbean.name";

    public static void main(String[] args) {
        try {
            Class.forName("javax.management.MBeanServer");
            registerMbeans();
        }
        catch (ClassNotFoundException ignore) {
        }
        WrapperStartStopApp.main(args);
    }

    private static void registerMbeans() {
        try {
            System.out.println("JDK 1.5 detected, registering Java Service Wrapper MBean");
            WrapperManager managerBean = new WrapperManager();
            ObjectName name = new ObjectName(getName());
            MBeanServer server = ManagementFactory.getPlatformMBeanServer();
            server.registerMBean(managerBean, name);
        }
        catch (Exception e) {
            System.err.println("Failed to register ServiceWrapper MBeans");
            e.printStackTrace();
        }
    }

    private static String getName() {
        String name = System.getProperty(WRAPPER_BEAN_NAME_KEY);
        if (name == null) {
            System.out.println("Property \"" + WRAPPER_BEAN_NAME_KEY + "\" not set. Using default : \"" + DEFAULT_WRAPPER_MBEAN_NAME + "\"");
            name = DEFAULT_WRAPPER_MBEAN_NAME;
        }
        return name.replaceAll("\"", "");
    }

}
